Project

General

Profile

[logo] 
 
Home
News
Activity
About/Contact
Major Tools
  Dinotrace
  Verilator
  Verilog-mode
  Verilog-Perl
Other Tools
  IPC::Locker
  Parallel::Forker
  Voneline
General Info
  Papers

Installing Verilog-Pli

Please note this tool is no longer being actively supported.

Download

Download from CPAN/wsnyder.

Prerequisites

Verilog::Pli runs on any operating system with Perl and a PLI compliant Verilog simulator, such as VCS, Cadence Incisive, or Modelsim.

Installation

If you're using a recent version of Perl, just:

cpan install Verilog::Pli

Otherwise, untar, make, test, and install manually: cd Verilog-Pli-* perl Makefile.PL make make test make install

tar xvzf Verilog-Pli*.t*gz

Usage

After installation, see the kit's README for notes on building a simulator using Verilog-Pli.

See Also

See the Veripool Perl Module FAQ for common installation problems.